#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GdkPixbuf.Objects.Pixbuf where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Pixbuf = Pixbuf (ManagedPtr Pixbuf)
instance GObject Pixbuf where
class (GObject o, O.IsDescendantOf Pixbuf o) => IsPixbuf o
instance (GObject o, O.IsDescendantOf Pixbuf o) => IsPixbuf o
instance O.HasParentTypes Pixbuf
#if ENABLE_OVERLOADING
data PixbufBitsPerSamplePropertyInfo
#endif
#if ENABLE_OVERLOADING
data PixbufColorspacePropertyInfo
#endif
#if ENABLE_OVERLOADING
data PixbufHasAlphaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PixbufHeightPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PixbufNChannelsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PixbufPixelBytesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PixbufPixelsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PixbufRowstridePropertyInfo
#endif
#if ENABLE_OVERLOADING
data PixbufWidthPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PixbufAddAlphaMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufApplyEmbeddedOrientationMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufCompositeMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufCompositeColorMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufCompositeColorSimpleMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufCopyMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufCopyAreaMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufCopyOptionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufFillMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufFlipMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufGetBitsPerSampleMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufGetByteLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufGetColorspaceMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufGetHasAlphaMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufGetHeightMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufGetNChannelsMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufGetOptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufGetOptionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufGetPixelsMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufGetRowstrideMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufGetWidthMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufNewSubpixbufMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufReadPixelBytesMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufReadPixelsMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufRemoveOptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufRotateSimpleMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufSaturateAndPixelateMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufSaveToBuffervMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufSaveToCallbackvMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufSaveToStreamvMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufSaveToStreamvAsyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufSavevMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufScaleMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufScaleSimpleMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufSetOptionMethodInfo
#endif
