#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GdkPixbuf.Objects.PixbufLoader where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype PixbufLoader = PixbufLoader (ManagedPtr PixbufLoader)
instance GObject PixbufLoader where
class (GObject o, O.IsDescendantOf PixbufLoader o) => IsPixbufLoader o
instance (GObject o, O.IsDescendantOf PixbufLoader o) => IsPixbufLoader o
instance O.HasParentTypes PixbufLoader
#if ENABLE_OVERLOADING
data PixbufLoaderAreaPreparedSignalInfo
#endif
#if ENABLE_OVERLOADING
data PixbufLoaderAreaUpdatedSignalInfo
#endif
#if ENABLE_OVERLOADING
data PixbufLoaderClosedSignalInfo
#endif
#if ENABLE_OVERLOADING
data PixbufLoaderSizePreparedSignalInfo
#endif
#if ENABLE_OVERLOADING
data PixbufLoaderCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufLoaderGetAnimationMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufLoaderGetFormatMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufLoaderGetPixbufMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufLoaderSetSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufLoaderWriteMethodInfo
#endif
#if ENABLE_OVERLOADING
data PixbufLoaderWriteBytesMethodInfo
#endif
